# Uses of Class
it.tdlight.jni.TdApi.PremiumGiftCodePaymentOption

## Uses of TdApi.PremiumGiftCodePaymentOption in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PremiumGiftCodePaymentOption
Modifier and Type
Field
Description
`TdApi.PremiumGiftCodePaymentOption[]`
TdApi.PremiumGiftCodePaymentOptions.`options`
The list of options.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumGiftCodePaymentOption
Modifier
Constructor
Description
``
`PremiumGiftCodePaymentOptions(TdApi.PremiumGiftCodePaymentOption[] options)`
Contains a list of options for creating Telegram Premium gift codes.